Name:           avalon-logkit
Epoch:          0
Version:        2.1
Release:        %mkrel 31
Group:          Development/Java
Summary:        Java logging toolkit
License:        ASL 2.0
URL:            https://avalon.apache.org/
BuildArch:      noarch

Source0:        https://archive.apache.org/dist/excalibur/%{name}/source/%{name}-%{version}-src.zip

Patch0001:      0001-Port-build-script-to-Maven-3.patch
Patch0002:      0002-Port-to-Java-7.patch
Patch0003:      0003-Fix-encoding.patch

BuildRequires:  maven-local
BuildRequires:  mvn(javax.mail:mail)
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(log4j:log4j)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)


%description
LogKit is a logging toolkit designed for secure performance orientated
logging in applications. To get started using LogKit, it is recommended
that you read the whitepaper and browse the API docs.

%package javadoc
Summary:    Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
mv project.xml pom.xml

# LogFactor5 is no longer distributed with log4j
%pom_remove_dep log4j:log4j
rm -rf src/java/org/apache/log/output/lf5

%mvn_file : %{name}
%mvn_alias : logkit:logkit

# Add proper Apache Felix Bundle Plugin instructions
# so that we get a reasonable OSGi manifest.
%pom_xpath_inject pom:project "<packaging>bundle</packaging>"
%pom_xpath_inject pom:build "
  <plugins>
    <plugin>
      <groupId>org.apache.felix</groupId>
      <artifactId>maven-bundle-plugin</artifactId>
      <extensions>true</extensions>
      <configuration>
        <instructions>
          <Bundle-SymbolicName>avalon-logkit-2.1</Bundle-SymbolicName>
          <_nouses>true</_nouses>
        </instructions>
      </configuration>
    </plugin>
  </plugins>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0:2.1-31.mga9
+ Revision: 1827287
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0:2.1-30.mga8
+ Revision: 1490107
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0:2.1-29.mga7
+ Revision: 1261472
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0:2.1-28.mga7
+ Revision: 1259956
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 0:2.1-27.mga6
+ Revision: 1101241
- Build with Maven

* Wed Mar 02 2016 neoclust <neoclust> 0:2.1-26.mga6
+ Revision: 982386
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 0:2.1-25.mga6
+ Revision: 975443
- First rebuild of the java stack
- First rebuild of the java stack

* Mon Dec 28 2015 neoclust <neoclust> 0:2.1-23.mga6
+ Revision: 916179
- Cleanup deps

* Fri Jan 09 2015 pterjan <pterjan> 0:2.1-18.mga5
+ Revision: 809501
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 0:2.1-17.mga5
+ Revision: 746026
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.1-16.mga5
+ Revision: 678072
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0:2.1-15.mga4
+ Revision: 545325
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 0:2.1-14.mga4
+ Revision: 501115
- Try to add avalon:avalon-logkit demap

* Tue Oct 15 2013 dmorgan <dmorgan> 0:2.1-13.mga4
+ Revision: 501109
- Rebuild against current stack

* Fri Jan 11 2013 umeabot <umeabot> 0:2.1-10.mga3
+ Revision: 346702
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 0:2.1-9.mga3
+ Revision: 324509
- Build with new tomcat

* Tue Jul 19 2011 dmorgan <dmorgan> 2.1-8.mga2
+ Revision: 126285
- Fix up depdenencies in pom
- Convert jar's to OSGi bundles using aqute-bndlib
- From fedora
- Add maven metadata into package
- Tweaks according to new guidelines

* Wed Feb 02 2011 dmorgan <dmorgan> 2.1-7.mga1
+ Revision: 46477
- Obsoletes excalibur-avalon-logkit-javadoc

* Wed Feb 02 2011 dmorgan <dmorgan> 2.1-6.mga1
+ Revision: 46463
- Obsoletes excalibur-avalon-logkit

* Tue Feb 01 2011 dmorgan <dmorgan> 2.1-5.mga1
+ Revision: 45821
- Fix build ( from opensuse)
+ pterjan <pterjan>
- imported package avalon-logkit

